List of all members
clan::XMLTokenizer Class Reference
clanCore XML

The XML Tokenizer breaks a XML file into XML tokens. More...

`#include <xml_tokenizer.h>`

## Public Member Functions
Construction
| XMLTokenizer ()
| XMLTokenizer (const XMLTokenizer &copy)
| Constructs a XMLTokenizer. More...
| XMLTokenizer (IODevice &input)
| Constructs a XMLTokenizer. More...
virtual | ~XMLTokenizer ()
Attributes
bool | get_eat_whitespace () const
| Returns true if eat whitespace flag is set. More...
void | set_eat_whitespace (bool enable)
| If enabled, will eat any whitespace between tags. More...
Operations
XMLToken | next ()
| Returns the next token available in input stream. More...
void | next (XMLToken *out_token)
| Next. More...

## Detailed Description

The XML Tokenizer breaks a XML file into XML tokens.

The documentation for this class was generated from the following file:

- xml_tokenizer.h